% TU Delft iGEM team
% Aug 2008
% ODEs solver for the mevalonate pathway and normal distribution for
% parameters

clear all
tspan = [0 200];
x0 = 1 + zeros(30,1);
x0=[0.1,zeros(13,1)',(0.01+zeros(13,1))',(0.001+zeros(3,1))'];
[t y] = ode15s('mevalonate2',tspan,x0);


% plot(t,y(:,12:14));
% grid on
% xlabel('Time');
% ylabel('Products level');
% title('The last three product level after 200 seconds')
% legend('Lycopene','B-Carotene','Zeaxanthin')

for i = 1:14
    subplot(7,2,i)
    plot(t,y(:,i))
end  
S=[zeros(1,17);
    1 -1 zeros(1,15);
    zeros(1,1) 1 -1 zeros(1,14);
    zeros(1,2) 1 -1 zeros(1,13);
    zeros(1,3) 1 -1 zeros(1,12);
    zeros(1,4) 1 -1 zeros(1,11);
    zeros(1,5) 1 -1 1 zeros(1,9);
    zeros(1,6) 1 -1 1 zeros(1,8);
    zeros(1,8) 1 -1 zeros(1,7);
    zeros(1,9) 1 -1 zeros(1,6);
    zeros(1,10) 1 -1 zeros(1,5);
    zeros(1,11) 1 -1 0 -1 zeros(1,2);
    zeros(1,12) 1 -1 0 -1 zeros(1,1);
    zeros(1,13) 1 0 0 1;
    zeros(1,14) 1 zeros(1,2);
    zeros(1,15) 1 zeros(1,1);
    zeros(1,16) 1];

j=0;
con=0;
mu=(0.001+0.0374)/2;
sigma=(0.0374-0.001)/2;
for j=1:14
for i=1:100
    q=normrnd(mu,sigma);
    if (q>0.001) && (q<0.0374)
        k(j,1)=q;   % k
        break;
    end
end
end